package com.ruoyi.zhushi.service.impl;

import cn.hutool.core.bean.BeanUtil;
import com.ruoyi.zhushi.entity.*;
import com.ruoyi.zhushi.mapper.DkAttendanceGroupAndUserMapper;
import com.ruoyi.zhushi.mapper.DkAttendanceGroupMapper;
import com.ruoyi.zhushi.service.DkAttendanceGroupService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class DkAttendanceGroupServiceImpl implements DkAttendanceGroupService {


    @Autowired
    private DkAttendanceGroupMapper dkAttendanceGroupMapper;

    @Autowired
    private DkAttendanceGroupAndUserMapper dkAttendanceGroupAndUserMapper;


    @Override
    public int add(DkAttendanceGroupDTO dkAttendanceGroupDTO) {
        DkAttendanceGroup dkAttendanceGroup = BeanUtil.toBean(dkAttendanceGroupDTO, DkAttendanceGroup.class);
        dkAttendanceGroupMapper.insertOrUpdate(dkAttendanceGroup);
        dkAttendanceGroupDTO.getMembers().forEach(e -> {
            DkAttendanceGroupAndUser dkAttendanceGroupAndUser = new DkAttendanceGroupAndUser();
            dkAttendanceGroupAndUser.setAttendanceTeamId(dkAttendanceGroup.getId());
            dkAttendanceGroupAndUser.setUserId(e.getId());
            dkAttendanceGroupAndUserMapper.insertOrUpdate(dkAttendanceGroupAndUser);
        });
        return 1;
    }
}
